package com.seostella.spring;

import javax.servlet.http.HttpSession;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import com.seostella.spring.domain.Person;
import com.seostella.spring.domain.Sheldon;

@Controller
public class HomeController {
	
	@RequestMapping(value = "/", method = RequestMethod.GET)
	public String home( HttpSession httpSession ) {
		httpSession.setAttribute("person", new Person("John") );
		httpSession.setAttribute("sheldon", new Sheldon() );
		return "home";
	}
	
}
