package com.seostella.spring;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.SessionAttributes;
import org.springframework.web.servlet.ModelAndView;

import com.seostella.spring.domain.Person;
import com.seostella.spring.domain.Sheldon;

@Controller
@SessionAttributes({"person", "sheldon"})
public class SessionMultipleAttributesController {

	@RequestMapping(value = "/session-multiattr", method = RequestMethod.GET)
	public ModelAndView sessionMultiAttributes( @ModelAttribute Person person, @ModelAttribute Sheldon sheldon ) {
		ModelAndView modelAndView = new ModelAndView("session_multiple_attr");
		modelAndView.addObject( person );
		modelAndView.addObject( sheldon );
		return modelAndView;
	}
	
}
