package com.seostella.spring;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.SessionAttributes;
import org.springframework.web.servlet.ModelAndView;

import com.seostella.spring.domain.Person;

@Controller
@SessionAttributes("person")
public class SessionAttributesController {
	
	@RequestMapping(value = "/session-attr", method = RequestMethod.GET)
	public ModelAndView sessionAttributes( @ModelAttribute Person person ) {
		ModelAndView modelAndView = new ModelAndView("session_attr");
		modelAndView.addObject( person );
		return modelAndView;
	}
	
}
